#
# spec file for package adjtimex
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           adjtimex
Version:        1.29
Release:        8.17
Summary:        Kernel time variables configuration utility
License:        GPL-2.0-or-later
Group:          System/Base
Source:         http://ftp.debian.org/debian/pool/main/a/adjtimex/%{name}_%{version}.orig.tar.gz
Provides:       util-linux:%{_sbindir}/adjtimex

%description
This program gives you raw access to the kernel time variables. For
a machine connected to the Internet, or equipped with a precision
oscillator or radio clock, the best way to keep the system clock
correct is with ntpd. However, for a standalone or intermittently
connected machine, you may use adjtimex instead to at least correct
for systematic drift. adjtimex can optionally adjust the system clock
using the CMOS clock as a reference, and can log times for long-term
estimation of drift rates.

%prep
%autosetup

%build
%configure
%make_build

%install
install -Dpm 0755 adjtimex \
  %{buildroot}%{_sbindir}/adjtimex
install -Dpm 0644 adjtimex.8 \
  %{buildroot}%{_mandir}/man8/adjtimex.8

%files
%license COPYING
%doc COPYRIGHT
%{_sbindir}/adjtimex
%{_mandir}/man8/adjtimex.8%{?ext_man}

%changelog
* Thu Aug 29 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file a bit
* Wed May 28 2014 sbrabec@suse.cz
- Simplify spec file.
- Remove UsrMerge compatibility symlink.
* Tue May 13 2014 ro@suse.de
- add COPYING and COPYRIGHT as doc files
* Sun Jan 20 2013 jengelh@inai.de
- Split "adjtimex" off util-linux
* Tue Mar  6 2012 rschweikert@suse.com
- keep binaries in /usr tree (UsrMerge project)
* Tue Feb 21 2012 puzel@suse.com
- update to adjtimex-1.29
* Fri Jul  9 2010 puzel@novell.com
- update to adjtimex-1.28
- drop adjtimex-1.20-nosyscall.diff (fixed upstream)
* Thu Apr 16 2009 werner@suse.de
- Move /usr/sbin/adjtimex to /sbin/adjtimex to be able to check the
  kernel time variables even without /usr mounted
* Mon Jan 10 2005 mmj@suse.de
- Update adjtimex to 1.20
* Mon Apr 14 2003 pthomas@suse.de
- Get rid of the syscall for adjtimex in selective cases and
  just call the glibc wrapper. Fixes build on s390.
* Tue Nov 19 2002 mmj@suse.de
- Fix multistring assignment in adjtimex
* Tue Dec 18 2001 bjacke@suse.de
- add adjtimex
